{% extends 'base.html' %}
{% load static %}

{% block messages %}
{% if messages %}
{% for message in messages %}
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-8">
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
            <div class="alert alert-danger" role="alert">
                {{message|safe}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% elif message.level == DEFAULT_MESSAGE_LEVELS.INFO %}
            <div class="alert alert-info" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% else %}
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            {% endif %}
        </div>
    </div>
</div>
{% endfor %}
{% endif %}
{% endblock %}

{% block body %}
<div class="container">
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12 col-md-6">
            <h3>Pedidos</h3>
        </div>
        <div class="col-12 col-md-6 text-md-right">
            <a href="{% url 'index' %}" class="btn btn-success">Volver</a>
        </div>
        <div class="col-12">
            <div style="height: 8px;"></div>
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link active" href="{% url 'ejecutivo_pedidos' %}">En selección</a>
                </li>
            </ul>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    {% if page %}
                    <table class="table table-responsive-sm table-striped table-bordered text-center">
                        <tr>
                            <th>Pedido #</th>
                            <th>Fecha</th>
                            <th>Estado</th>
                            <!--<th>Total</th>-->
                            <th>Acciones</th>
                        </tr>
                        {% for p in page.object_list reversed %}
                        <tr>
                            <td><a href="{% url 'pedido_ejecutivo' id_pedido=p.Id%}">{{p.Id}}</a></td>
                            <td>{{p.Fecha}}</td>
                            <td>{{p.Estado.Nombre}}</td>
                            <!--<td>US$ {{p.Total}}</td>-->
                            <td><a href="{% url 'pedido_ejecutivo' id_pedido=p.Id %}" class="btn btn-sm btn-success">Ver
                                    detalle</a></td>
                        </tr>
                        {% endfor %}
                    </table>
                    {% else %}
                    {% if finalizados %}
                    <h4>Actualmente no posees ningun pedido finalizado.</h4>
                    {% else %}
                    <h4>Actualmente no hay ningun pedido en selección.</h4>
                    {% endif %}
                    {% endif %}

                </div>
            </div>
        </div>
        <!-- Paginacion -->
        <div class="col-12 text-center">
            {% if page.paginator.num_pages > 1 %}
            <div style="height: 10px;"></div>
            <nav aria-label="Page navigation example">
                <ul class="pagination justify-content-center">
                    {% if page.has_previous %}
                    <li class="page-item">
                        <a class="page-link green"
                            href="{% url 'index' %}{% if finalizados %}?finalizados&page=1{% else %}?page=1{% endif %}"><i
                                class="fas fa-angle-double-left"></i></a>
                    </li>

                    <li class="page-item">
                        <a class="page-link green"
                            href="{% url 'index' %}{% if finalizados %}?finalizados&page={{page.previous_page_number}}{% else %}?page={{page.previous_page_number}}{% endif %}"
                            tabindex=" -1"><i class="fas fa-angle-left"></i></i></a>
                    </li>
                    {% endif %}
                    {% for i in page.paginator.page_range %}

                    {% if i <= page.number|add:5 and i >= page.number|add:-5 %}

                    <li class="page-item {% if page.number == i %}active{% endif %}"><a
                            class="page-link green {% if page.number == i %}greenbg{% endif %}"
                            href="{% url 'index' %}{% if finalizados %}?finalizados&page={{i}}{% else %}?page={{i}}{% endif %}">{{i}}</a>
                    </li>

                    {% endif %}

                    {% endfor %}

                    {% if page.has_next %}

                    <li class="page-item">
                        <a class="page-link green"
                            href="{% url 'index' %}{% if finalizados %}?finalizados&page={{page.next_page_number}}{% else %}?page={{page.next_page_number}}{% endif %}"><i
                                class="fas fa-angle-right"></i></i></a>
                    </li>

                    <li class="page-item">
                        <a class="page-link green"
                            href="{% url 'index' %}{% if finalizados %}?finalizados&page={{page.paginator.num_pages}}{% else %}?page={{page.paginator.num_pages}}{% endif %}"><i
                                class="fas fa-angle-double-right"></i></a>
                    </li>
                    {% endif %}

                </ul>
            </nav>
            {% endif %}
        </div>
        <!-- Fin paginacion -->

    </div>


</div>
{% endblock %}